MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026637Open CASCADE[OCCT] OCCT:Samplespublic2015-09-03 15:072015-10-23 20:49
Reporterapn 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 6.9.1 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026637: Save function works incorrect in OCAF mfc sample
DescriptionThere is exception trying to save document in .std format.
Steps To ReproduceRun mfc Ocaf sample, build shape, File-Save-.std format
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0045009)
git (administrator)
2015-09-03 15:29

Branch CR26637 has been created by ski.

SHA-1: 438b1442a845e899ef5a8586cb179960fb270ea6


Detailed log of new commits:

Author: ski
Date: Thu Sep 3 15:29:01 2015 +0300

    0026637: Save function works incorrect in OCAF mfc sample
    
    Storage format was corrected.
(0045010)
ski (developer)
2015-09-03 15:31

Dear Andrey,

Storage format was corrected in "Save" function in OCAF mfc sample.
Crash does not appear.

Please, review.
(0045067)
git (administrator)
2015-09-04 14:52

Branch CR26637 has been updated forcibly by ski.

SHA-1: d55ffa0a81dfdb38cd89a995907c1f145408b933
(0045068)
ski (developer)
2015-09-04 14:58

The fix is actual only for occt 6.9.1.
Note that it is not a regression, occt 6.9.0 demonstrates the same behavior.

Branch CR26637 was rebased on current state of occt 6.9.1.
(0045205)
git (administrator)
2015-09-08 12:49

Branch CR26637_1 has been created by ski.

SHA-1: 7794f76367c470166149e22ce7f10d9fc7981f1f


Detailed log of new commits:

Author: ski
Date: Tue Sep 8 12:49:19 2015 +0300

    0026637: Save function works incorrect in OCAF mfc sample
    
    Format ".std" was eliminated from OCAF mfc sample.
(0045211)
ski (developer)
2015-09-08 13:03

Branch CR26637_1 was created.

It contains eliminating of "std" format from OCAF mfc sample.
It should be integrated only into occt 7.0.
(0045212)
abv (manager)
2015-09-08 13:05

Reviewed, please integrate
(0045420)
mkv (tester)
2015-09-10 14:42

Dear BugMaster,
Branch CR26637_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 7794f76367c470166149e22ce7f10d9fc7981f1f

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 91836369 / 91937509 [-0.11%]
Total CPU difference: 17646.29999999888 / 17713.54999999897 [-0.38%]
products component :
Total MEMORY difference: 25229131 / 25220029 [+0.04%]
Total CPU difference: 7012.210000000008 / 6936.800000000004 [+1.09%]

Testing on Windows:
occt component :
Total MEMORY difference: 57156801 / 57146693 [+0.02%]
Total CPU difference: 16582.859499699112 / 16584.80951219933 [-0.01%]
products component :
Total MEMORY difference: 16226690 / 16225943 [+0.00%]
Total CPU difference: 5413.390700999969 / 5398.88260799997 [+0.27%]

There are no differences in images found by testdiff.
(0045421)
mkv (tester)
2015-09-10 14:42

Dear BugMaster,
mfc Ocaf sample was tested, it work correct.
(0045422)
mkv (tester)
2015-09-10 14:43

Dear BugMaster,
Branch CR26637_1 is TESTED.
(0047012)
git (administrator)
2015-10-16 16:37

Branch CR26637 has been deleted by kgv.

SHA-1: d55ffa0a81dfdb38cd89a995907c1f145408b933
(0047013)
git (administrator)
2015-10-16 16:37

Branch CR26637_1 has been deleted by kgv.

SHA-1: 7794f76367c470166149e22ce7f10d9fc7981f1f

- Related Changesets
occt: master 00de4faf
Timestamp: 2015-09-08 09:49:19
Author: ski
Committer: bugmaster
Details ] Diff ]
0026637: Save function works incorrect in OCAF mfc sample

Format ".std" was eliminated from OCAF mfc sample.
mod - samples/mfc/standard/06_Ocaf/res/Plugin Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/res/Resources Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/src/OcafApp.cpp Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/src/OcafDoc.cpp Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/src/TOcaf_Application.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-09-03 15:07 apn New Issue
2015-09-03 15:07 apn Assigned To => ski
2015-09-03 15:07 apn Test case number => Not needed
2015-09-03 15:07 apn Status new => assigned
2015-09-03 15:29 git Note Added: 0045009
2015-09-03 15:31 ski Note Added: 0045010
2015-09-03 15:31 ski Assigned To ski => abv
2015-09-03 15:31 ski Status assigned => resolved
2015-09-04 14:52 git Note Added: 0045067
2015-09-04 14:58 ski Note Added: 0045068
2015-09-08 12:49 git Note Added: 0045205
2015-09-08 13:03 ski Note Added: 0045211
2015-09-08 13:05 abv Note Added: 0045212
2015-09-08 13:05 abv Assigned To abv => bugmaster
2015-09-08 13:05 abv Status resolved => reviewed
2015-09-08 20:40 mkv Assigned To bugmaster => mkv
2015-09-10 14:42 mkv Note Added: 0045420
2015-09-10 14:42 mkv Note Added: 0045421
2015-09-10 14:43 mkv Note Added: 0045422
2015-09-10 14:43 mkv Assigned To mkv => bugmaster
2015-09-10 14:43 mkv Status reviewed => tested
2015-09-11 14:09 bugmaster Changeset attached => occt master 00de4faf
2015-09-11 14:09 bugmaster Status tested => verified
2015-09-11 14:09 bugmaster Resolution open => fixed
2015-09-11 14:44 abv Target Version => 6.9.1
2015-10-16 14:55 aiv Status verified => closed
2015-10-16 16:37 git Note Added: 0047012
2015-10-16 16:37 git Note Added: 0047013
2015-10-23 20:49 aiv Fixed in Version => 6.9.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker